@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 INRIA & USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Sylvain Leblanc.
rem # Contributor(s): Christophe Demarey.
rem #
rem # ====================================================================
rem #
rem #  Starting the Trading Service.
rem #
rem # ====================================================================

setlocal

rem # Check if the OpenCCM Platform is installed.
call "%OpenCCM_HOMEDIR%\bin\ccm_installed"
if %CCM_INSTALLED%==0 goto :eof

rem # Check if the Trading Service is already started.
if not exist "%OpenCCM_CONFIG_DIR%\TradingService.IOR" goto :not_exist

echo Error: The Trading Service is already started!
goto :eof

:not_exist

rem # Check if the OpenCCM Platform is installed.
call "%OpenCCM_HOMEDIR%\bin\ccm_installed"
if %CCM_INSTALLED%==0 goto :eof

:do_start
echo The Trading Service cannot be started.

rem ## uncomment the following lines in order to allow 
rem ## to use a trading service with OpenORB 1.2.1

rem ## echo The Trading Service will be started.
rem ## 
rem ## echo Launching the OpenORB 1.2.1 Trading Service.
rem ## 
rem ## set LAUNCHER_ARGS="file:%OpenCCM_HOMEDIR%/xml/launcher/Trader.xml"
rem ## call openccm_launcher fork_err "%OpenCCM_CONFIG_DIR%\TradingService.IOR" "%OpenCCM_CONFIG_DIR%\TradingService.PID"
rem ## 
rem ## echo The Trading Service is started.
