package ist.coach.coachEmfClientComponents.gui;


import intt.itu.itut_x780.ManagedObjectValueType;

public interface GuiMaster {

	public static String OBJECT_CREATION_ALARM = "ObjectCreation";
	public static String OBJECT_DELETION_ALARM = "ObjectDeletion";
    public static String STATE_CHANGED_ALARM   = "StateChangedEvent";
    public static String HEARTBEAT_ALARM       = "Heartbeat";
    public static String CHANNEL_CHANGE_ALARM  = "ChannelChangeEvent";
    public static String OPERATIONAL_ALARM     = "OperationalViolation";

	public static String INFO_LOG               = "Info";
	public static String ERROR_LOG              = "Error";
	public static String WARNING_LOG            = "Warning";
	public static String FATAL_LOG              = "Fatal";


	public String createByManager( String object_type,
							String[] param_names,
							Object[] values,
							String object_key);

	public ManagedObjectValueType attributesGet(String object_class,
                                        String object_key,
                                        String []attributes);

	public String[] getContained(String superior);
	public boolean setAttributes(String object_key, java.util.Vector attr);

	public boolean removeByManager(String name);

	public void subscribe_alarm(String alarmType);
	public void unsubscribe_alarm(String alarmType);

	public void subscribe_log(String logType);
	public void unsubscribe_log(String logType);

	public String[] get_all_logs();
	public ist.coach.coachEmfServices.EmfBasicLog.LogRecord[] retrieve_logs(
		    String log_name, long from_time, int how_many);

	public void set_heartbeat_period(short period);
	//public void print(String msg);
	//public void println(String msg);
}
