package ist.coach.coachEmfClientComponents;

public class InvokeSetData {

	public java.lang.reflect.Method methodName;
	public Object[] methodArguments;
	public Class[] methodArgumentTypes;
	public Class objectClass;

	public InvokeSetData(Class objectClass, 
						java.lang.reflect.Method methodName,
						Object[] methodArguments,
						Class[] methodArgumentTypes) {

		this.objectClass = objectClass;
		this.methodName = methodName;
		this.methodArguments = methodArguments;
		this.methodArgumentTypes = methodArgumentTypes;
	}

	public InvokeSetData(String object_Class,
						String method_Name,
						Object[] method_Arguments) {

		try {

			objectClass = Class.forName(object_Class);	

			methodArgumentTypes = new Class[method_Arguments.length];
			methodArguments = method_Arguments;

			for(int i = 0; i < methodArgumentTypes.length; i++) {
				methodArgumentTypes[i] = //Class.forName(method_ArgumentTypes[i]);	
							method_Arguments[i].getClass();
			//	System.err.println("methodArgument = " +
			//			 method_Arguments[i].getClass().getName());
			}

			methodName = objectClass.getMethod(method_Name, methodArgumentTypes);

		}
		catch(java.lang.IllegalArgumentException e1) {
            System.err.println("InvokeSetData> IllegalArgumentException ");
        }
        //catch(java.lang.IllegalAccessException e2) {
        //    System.err.println("InvokeSetData> IllegalAccessException ");
        //}
        catch(java.lang.ClassNotFoundException e3) {
            System.err.println("InvokeSetData> ClassNotFoundException " +
                e3.getMessage());
        }
        catch(java.lang.NoSuchMethodException e4) {
            System.err.println("InvokeSetData> NoSuchMethodException " +
                e4.getMessage());
            e4.printStackTrace();
        }
        //catch(java.lang.reflect.InvocationTargetException e5) {
        //    System.err.println("InvokeSetData> InvocationTargetException");
        //}

	}
						
}
