#include <microccm_C1_executor.h>

class C1_impl : public CCM_C1, public CCM_my_interface_1,
		public Components::SessionComponent
{
 public:

  CCM_my_interface_1_ptr get_the_intf1();
  
  void do_something( const char* the_string );

  void set_session_context( Components::SessionContext_ptr ctx )
    throw( Components::CCMException );

  void configuration_complete( ) throw( Components::InvalidConfiguration );
 private:

  CCM_C1_Context_ptr the_context_;
};

// -----------------------------------------------------------

class C1_home_impl : public CCM_C1_home
{
 public:

  Components::EnterpriseComponent_ptr create()
    throw( Components::CCMException );
};


// ------------------------------------------------------------
