
#ifndef C_impl_h
#define C_impl_h

#include <microccm_C_executor.h>

#include <stdio.h>

class C_impl : public CCM_C,
	       public CCM_I,
	       public Components::SessionComponent
{
public:

  CCM_I_ptr get_facet1();

  void set_session_context( Components::SessionContext_ptr sctx )
    throw( Components::CCMException );

  void configuration_complete()
    throw( Components::InvalidConfiguration );

  void do_something( const char* s, CORBA::Long l );

  CORBA::Long do_something_else();

private:

  CCM_C_Context_ptr the_ctx_;
};

// ---------------------------------------------------------

class C_home_impl : public CCM_C_home
{
public:

  Components::EnterpriseComponent_ptr create()
    throw( Components::CCMException );
};


#endif
