/*
** EV : PROVISOIRE pour permettre la compil. n'a rien a faire dans le repertoire utilitaire.
**      Voir avec RS. 
*/
#ifdef PSOS
#include "psos.h"
#include "prepc.h"
#include "pna.h"
#include "time.h"

#include "tftp.h"
#include "tftp_def.h"
#include "dataio.h"
#include "support.h"

#define K_PRIO_TASK_TFTP		128
#define K_SIZE_STACK_TFTP		8192
unsigned long tftpTid;

void task_tftp (t_conf_tftp *conf_tftp)
{
	int ret;

	ret = init_tftp (g_comportement, (t_access_file *)0, 0, conf_tftp);

	free ((void *)conf_tftp);
	if (ret == 0)
		run_tftp (0);
	else
		t_suspend (0);
}

void init_tftp_psos (t_conf_tftp *conf_tftp)
{
	unsigned long args[4];
	unsigned long rc;

	args[0] = (unsigned long)conf_tftp;
	g_comportement = K_TFTP_SERVEUR_CLIENT;
	rc = t_create("TFTP",K_PRIO_TASK_TFTP, K_SIZE_STACK_TFTP, 0, T_LOCAL | T_NOFPU, &tftpTid);
	if (rc == 0)
	{
		rc = t_start(tftpTid, 0x2000, (void (*)(void))task_tftp, args);
	}
}
#endif
