/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2004 INRIA & USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ________________________________________.

====================================================================*/

package org.omg.CosPersistentState;

//Package dependencies

/**
 *  Abstract Storage Type StorageObject
 * 
 *  @author OpenCCM PSDL Compiler
 */
public interface StorageObject
{
    /**
     * The destroy_object method.
     */
    public void destroy_object();

    /**
     * The object_exists method.
     */
    public boolean object_exists();

    /**
     * The get_pid method.
     */
    public byte[] get_pid();

    /**
     * The get_short_pid method.
     */
    public byte[] get_short_pid();

    /**
     * The get_storage_home method.
     */
    public org.omg.CosPersistentState.StorageHomeBase get_storage_home();

}
