/*+S*/
/******************************************************************************/
/* DESCRIPTION                                                                */
/*----------------------------------------------------------------------------*/
/* NOM : tftp_main.c                                                          */
/* BUT : Main Tftp pour solaris                                               */
/******************************************************************************/
/* HISTORIQUE                                                                 */
/*----------------------------------------------------------------------------*/
/* AUTEUR : R. Simon                                                          */
/* DATE CREATION : 30.12.00                                                   */
/*----------------------------------------------------------------------------*/
/* IDENTIFICATION   : <numero>                                                */
/* DATE REALISATION : <jj/mm/aa>                                              */
/* AUTEUR           : <nomDeAuteur>                                           */
/* DESCRIPTION      :                                                         */
/******************************************************************************/
/*-S*/
#include <sys/types.h>
#include <string.h>

#include "tftp.h"
#include "tftp_def.h"

#define K_TFTPD_PORT	5000

main ()
{
	int cr;

    t_conf_tftp conf_tftp;
    conf_tftp.base_timeout = 1;
    conf_tftp.max_timeout  = 8;
    conf_tftp.nb_max_retry = 5;
	conf_tftp.size_bl_data = 512;

    printf (" Lancement TFTP en mode Serveur exclusivement\n");
    printf (" Udp Port for the TFTPD is %d\n", K_TFTPD_PORT);

    cr = init_tftp (K_TFTP_SERVEUR, (t_access_file *)0, K_TFTPD_PORT, &conf_tftp);
	if (cr == 0)
    	run_tftp (0);

}

