#! /bin/sh -f
# ====================================================================
#
# OpenCCM: The Open CORBA Component Model Platform
# Copyright (C) 2000-2005 INRIA - USTL - LIFL - GOAL
# Contact: openccm@objectweb.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): Christophe Demarey.
# Contributor(s): Christophe Contreras, Philippe Merle.
#
# ====================================================================
#
# Specific Launcher for OpenCCM.
#
# ====================================================================
# $Id: openccm_launcher.sh,v 1.5 2005/06/01 18:35:36 merle Exp $
# ====================================================================

# Sets the Launcher's home to OpenCCM's home,
#  since the launcher has been built within the OpenCCM Platform
export OW_HOMEDIR=${OpenCCM_HOMEDIR}

launcher.sh "$1" "-DORB_HOMEDIR=${ORB_HOMEDIR} -DOpenCCM_HOMEDIR=${OpenCCM_HOMEDIR} -DOpenCCM_CONFIG_DIR=${OpenCCM_CONFIG_DIR} $2" "$3" "$4" "$5"
