@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2005 INRIA - USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Christophe Demarey.
rem # Contributor(s): Christophe Contreras, Philippe Merle.
rem #
rem # ====================================================================
rem #
rem # Specific openccm_launcher for OpenCCM.
rem #
rem # ====================================================================
rem # $Id: openccm_launcher.bat,v 1.7 2005/06/01 18:35:36 merle Exp $
rem # ====================================================================

setlocal

rem # Sets the Launcher's home to OpenCCM's home,
rem # since the launcher has been built within the OpenCCM Platform
set OW_HOMEDIR=%OpenCCM_HOMEDIR%

set LAUNCHER_JVM_ARGS=-DORB_HOMEDIR="%ORB_HOMEDIR%" -DOpenCCM_HOMEDIR="%OpenCCM_HOMEDIR%" -DOpenCCM_CONFIG_DIR="%OpenCCM_CONFIG_DIR%" %LAUNCHER_JVM_ARGS%

call launcher %1 %2 %3
