/*====================================================================

This file was produced by the OpenCCM CIF_JIMPL generator.

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.coachEmsCommon;

import intt.itu.itut_x780.SourceIndicatorType;
import ist.coach.coachEmsMib.IpToMACAddressValueType;
import org.omg.CosNaming.NameComponent;
/**
 *  Implementation skeleton class for the IDL:coach.ist/coachEmsMib/IpToMACAddressValueType:1.0 declaration.
 *
 *  @author OpenCCM CIF_Jimpl Compiler.
 */
public class IpToMACAddressValueTypeImpl
     extends IpToMACAddressValueType
{
    // ==================================================================
    //
    // Internal states.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================

    public IpToMACAddressValueTypeImpl()
    {}

     public IpToMACAddressValueTypeImpl(
			int ipNetToMediaIfIndex,
			byte[] ipNetToMediaPhysAddress,
			byte[] ipNetToMediaNetAddress,
			int ipNetToMediaType,
	 			    /* inherited from ManagedObjectValueType */
			  NameComponent [] name,
			  String objectClass,
			  String []  packages,
			  SourceIndicatorType creationSource,
			  short deletePolicy) {

		this.ipNetToMediaIfIndex = ipNetToMediaIfIndex;
		this.ipNetToMediaPhysAddress = ipNetToMediaPhysAddress;
		this.ipNetToMediaNetAddress = ipNetToMediaNetAddress;
		this.ipNetToMediaType = ipNetToMediaType;

		this.name = name;
		this.objectClass = objectClass;
		this.packages = packages;
		this.creationSource = creationSource;
		this.deletePolicy = deletePolicy;
	}
    // ==================================================================
    //
    // Methods.
    //
    // ==================================================================

}
