package ist.coach.coachEmsMibComponents.IpNodeProviderComposition;

import org.omg.CosNaming.NameComponent;

public class IpNodeDataStructure {

		public String domainName;
		public String hostname;
		public byte[] managementIPAddress;
		public NameComponent[] name;
		public String[] packageNameList;
		public int supportedSnmpVersions;
		public intt.itu.itut_x780.AdministrativeStateType administrativeState;
		public String userLabel;
		public String vendorName;
		public String version;
		public String locationName;
		public int snmpPort;
		public String sysName;
		public String sysContact;
		public String objectclass;
		public short deletePolicy;
		public intt.itu.itut_x780.SourceIndicatorType sourceIndicator;
		public intt.itu.itut_x780.OperationalStateType operationalState;

		private int notificationIdentifier;

		public IpNodeDataStructure (
			String domainName,
			String hostname,
			byte[] managementIPAddress,
			NameComponent[] name,
			String[] packageNameList,
			int supportedSnmpVersions,
			intt.itu.itut_x780.AdministrativeStateType administrativeState,
			String userLabel,
			String vendorName,
			String version,
			String locationName,
			int snmpPort,
			String sysName,
			String sysContact,
			String objectclass,
			short deletePolicy,
			intt.itu.itut_x780.SourceIndicatorType sourceIndicator,
			intt.itu.itut_x780.OperationalStateType operationalState) {

			this.domainName = domainName;
			this.hostname = hostname;
			this.managementIPAddress = managementIPAddress;
			this.name = name;
			this.packageNameList = packageNameList;
			this.supportedSnmpVersions = supportedSnmpVersions;
			this.administrativeState = administrativeState;
			this.userLabel = userLabel;
			this.vendorName = vendorName;
			this.version = version;
			this.locationName = locationName;
			this.snmpPort = snmpPort;
			this.sysName = sysName;
			this.sysContact = sysContact;
			this.objectclass = objectclass;
			this.deletePolicy = deletePolicy;
			this.sourceIndicator = sourceIndicator;
			this.operationalState = operationalState;

			this.notificationIdentifier = 0;

		}

		public int getUniqueNotificationIdentifier() {

			this.notificationIdentifier++;

			return (this.notificationIdentifier);
		}

    }
