#include <Do_in_place_of_interception.h>
#include <debug_utils.h>

#include <sstream>

using namespace std;

Do_in_place_of_interception::Do_in_place_of_interception( Cpp_method meth )
  : method_( meth )
{
}

// ------------------------------------------------------------------------

string Do_in_place_of_interception::generate_code_in_place_of()
{
  string to_be_returned = "";

  to_be_returned += get_mccm_debug_trace_warning("INTERFACES_IMPLEM");
  to_be_returned += " MCCM_Args the_args;\n";

  for( int ct = 0; ct < method_.get_nb_parameters(); ct++ )
    {
      ostringstream ostr; ostr << ct;
      to_be_returned += string( "the_args.arg_" ) + ostr.str()
	+ " = (void *)" + method_.get_parameter_nb( ct ).second + ";\n";
    }

  ostringstream ostr; ostr << method_.get_nb_parameters();

  to_be_returned += 
    string( "the_args.arg_" ) + ostr.str() + string( " = NULL;\n" );

  to_be_returned += " my_interceptor_" + method_.get_name_of_method()
    + "_->invoke( &the_args );\n";

  // pb: Is it corresponding to all cases ???
  //
  //  to_be_returned += " return 0;\n";

  return to_be_returned;
}

// -----------------------------------------------------------------------

