#ifndef IDL_to_cpp_mapping_h
#define IDL_to_cpp_mapping_h

#include <Cpp_class_gene.h>

#include <Stubs_IR3.h>

#include <string>
using namespace std;

Cpp_class_gene IDL_to_Cpp_mapping( CORBA::InterfaceDef_ptr, 
				   string name_class_to_generate = "don't know",
				   bool abstract_class_or_not = false );

enum arg_passing_mode 
  { 
    arg_passing_return, 
    arg_passing_in,
    arg_passing_inout,
    arg_passing_out
  };

string IDL_to_cpp_arg_mapping( CORBA::TypeCode_ptr type,
			       arg_passing_mode the_mode );

Cpp_class_gene& add_duplicate_and_narrow_methods( Cpp_class_gene& the_class_gene );

CORBA::TypeCode_var extract_TypeCode(CORBA::TypeCode_ptr typecode);

#endif // IDL_to_cpp_mapping_h
