#ifndef Pre_post_invocation_h
#define Pre_post_invocation_h

#include <string>
using namespace std;

class Pre_post_invocation_context
{
public:
  void set_current_method_name( string name_of_current_method );
  string get_current_method_name();

  void set_current_class_name( string name_of_current_class );
  string get_current_class_name();
private:
  string name_of_current_method_;
  string name_of_current_class_;
};

class Pre_post_invocation
{
public:

  void set_context( Pre_post_invocation_context  c);

  virtual string generate_pre_code() = 0;
  virtual string generate_post_code() = 0;

protected:

  Pre_post_invocation_context get_context();

private:
  Pre_post_invocation_context the_invocation_context_;
};

#endif // Pre_post_invocation_h
