#ifndef repid_utils_h
#define repid_utils_h

#include <string>
using namespace std;

class Repid
{
 public:

  Repid( string the_string ) : the_string_( the_string ) 
    {
    }

  void add_prefix_to_beginning( string the_prefix )
    {
      the_string_.insert( 4, the_prefix );
    }

  string get() { return the_string_; }

 private:

  string the_string_;
};

inline string scoped_name( const char* repid )
{
  // reviser tout cela car il y a des presupposes dans ce qui suit.

  string the_repid( repid );

  string to_be_returned_0;

  if( the_repid.substr( 4, string( "omg.org" ).size() ) == "omg.org"  )
    {
      to_be_returned_0 = the_repid.substr( string( "IDL:omg.org/" ).size() );
    }
  else
    {
      to_be_returned_0 = the_repid.substr( string( "IDL:" ).size() );
    }

  int pos_slash = to_be_returned_0.find( '/' );

  while( pos_slash != string::npos )
    {
      to_be_returned_0.replace( pos_slash, 1, "::" );
      pos_slash = to_be_returned_0.find( '/' );
    }

  int pos_double_col = to_be_returned_0.rfind( ':' );

  return to_be_returned_0.substr( 0, pos_double_col );
}


#endif // repid_utils_h
