#ifndef EnterpriseComponent_h
#define EnterpriseComponent_h

#include <Lw_ComponentsC.h>
#include <iostream>
#include <map>
using namespace std;

namespace microCCM
{
  class Object
    {
    public:
      virtual void _dummy_method() { }
    };

  typedef Object* Object_ptr;

};

namespace Components
{

//   class CCMException
//    {
//    };

  class EnterpriseComponent : public microCCM::Object
    {
    };

  typedef EnterpriseComponent* EnterpriseComponent_ptr;

  // ---

  class SessionContext : public microCCM::Object
    {
    };

  typedef SessionContext* SessionContext_ptr;

  // ---

  class ExtSessionContext : public SessionContext
  {
  public:

    microCCM::Object* provide_internal_interface( long id )
      {
	cout << __PRETTY_FUNCTION__ << ":" << __LINE__ << endl;
	/* if(the_internal_interfaces_) */
/* 	  { */
/* 	    cout << "the_internal_interfaces_ is not defined. " << endl; */
/* 	  } */
	if(!the_internal_interfaces_[ id ])
	  {
	    cout << "this internal interface with id: " << id << " cannot be retrieved " << endl;
	  }
	return the_internal_interfaces_ [ id ];
      }

    map< long, microCCM::Object* > the_internal_interfaces_;
  };

  typedef ExtSessionContext* ExtSessionContext_ptr;

  // ---

  class SessionComponent : public microCCM::Object
  {
  public:  

    virtual void set_session_context( SessionContext_ptr ctx ) 
      throw( Components::CCMException ) = 0;

    //     virtual void ccm_activate() = 0;
    //     virtual void ccm_passivate() = 0;
    //     virtual void ccm_remove() = 0;
  };

  typedef SessionComponent* SessionComponent_ptr;

  class HomeExecutorBase : public microCCM::Object
    {
    };

  class To_set_home_executor
    {
    public:
      virtual void set_home_executor( HomeExecutorBase* the_home_executor ) = 0;
    };

};

#endif // EnterpriseComponent_h
