#include <component1_impl.h>
#include <microccm_component1_CORBA.h>

#include <iostream>

using namespace std;

// --------------------------------------------------------------------

CCM_I1_ptr CCM_component1_impl::get_my_interface_1()
{
  return this;
}

void CCM_component1_impl::configuration_complete() 
  throw( Components::InvalidConfiguration )
{
}


//
// Business implementation
//
char* CCM_component1_impl::do_something()
{
  cerr << "In component1: Did something" << endl;
}


void CCM_component1_impl::send_event()
{
  MyEvent1* evt =  new OBV_MyEvent1;
  
  evt->event_name1("Hello from Source1 of component1...");
  component_context_->push_MyEvent1_source1( evt);
  
  evt->event_name1("Hello from Source2 of component1...");
  component_context_->push_MyEvent1_source2( evt);
 }




void CCM_component1_impl::push_comp1_Myevent1_sink1(MyEvent1* evt)
{
  string result = evt->event_name1();
  cerr << "Event received by  MyEvent1_sink of component2: " << result << endl;
}

void CCM_component1_impl::my_attribute(CORBA::Long attribute)
{
  my_attribute_ = attribute;
}

CORBA::Long CCM_component1_impl::my_attribute()
{
  return my_attribute_;
}


void CCM_component1_impl::shutdown()
{
  
}

// ---------------------------------------------------------------------


Components::EnterpriseComponent_ptr
component1_home_impl::create() throw( Components::CCMException )
{
  return new CCM_component1_impl;
}


extern "C"
{
  Components::HomeExecutorBase* create_home_exec()
  {
    return new component1_home_impl;
  }
}

// ----------------------------------------------------------------
