#ifndef component1_impl_h
#define component1_impl_h

#include <microccm_component1_executor.h>


class CCM_component1_impl : public CCM_component1,
			    public CCM_I1,
			    public CCM_component1_SessionComponent_impl
{
public:
  CCM_I1_ptr get_my_interface_1();
  void configuration_complete() throw( Components::InvalidConfiguration );
  void send_event();
  char* do_something();
  void push_comp1_Myevent1_sink1(MyEvent1* evt);
  void my_attribute(CORBA::Long attribute);
  CORBA::Long my_attribute();
  void shutdown();

  CORBA::Long my_attribute_;
};

class component1_home_impl : public CCM_component1_home
{
 public:
  Components::EnterpriseComponent_ptr create()
    throw( Components::CCMException );
  

};

#endif // component1_impl_h
