/*+S*/
/******************************************************************************/
/* DESCRIPTION                                                                */
/*----------------------------------------------------------------------------*/
/* NOM : tftp_main.c                                                          */
/* BUT : Main Tftp pour solaris                                               */
/******************************************************************************/
/* HISTORIQUE                                                                 */
/*----------------------------------------------------------------------------*/
/* AUTEUR : R. Simon                                                          */
/* DATE CREATION : 30.12.00                                                   */
/*----------------------------------------------------------------------------*/
/* IDENTIFICATION   : <numero>                                                */
/* DATE REALISATION : <jj/mm/aa>                                              */
/* AUTEUR           : <nomDeAuteur>                                           */
/* DESCRIPTION      :                                                         */
/******************************************************************************/
/*-S*/
#include <sys/types.h>
#include <string>
#include <vector>
#include <string.h>

#include "tftp.h"
#include "tftp_def.h"
#include <netdb.h>
       #include <sys/socket.h>
       #include <netinet/in.h>
       #include <arpa/inet.h>
#include <iostream>
#include <fstream>
#include <sstream>


#define K_TFTPD_PORT	5000

main ()
{
  int cr;
  
  t_conf_tftp conf_tftp;
  conf_tftp.base_timeout = 1;
  conf_tftp.max_timeout  = 8;
  conf_tftp.nb_max_retry = 5;
  conf_tftp.size_bl_data = 512;
  
  printf (" Lancement TFTP en mode Client\n");
  
  cr = init_tftp (K_TFTP_CLIENT, (t_access_file *)0,  0, &conf_tftp);
  printf(" init_tftp=%d\n", cr);
  if (cr == 0) {
    const char* address = "pcc000683";
    const char* netAddress = "172.18.61.93";
    
    unsigned long addr = inet_addr (netAddress);
    
    struct hostent *hent = gethostbyname ("255.255.255.255");
    vector<char> _ipaddr;
    _ipaddr.insert (_ipaddr.begin(),
		    (char*)hent->h_addr,
		    (char*)hent->h_addr + hent->h_length);
    string _host = "";
    for (int i = 0; i < _ipaddr.size(); ++i) {
      if (i > 0)
	_host += ".";
      printf("BOUCLE==%c\n", _ipaddr[i]);

      ostringstream ostr;
      int num = (int)_ipaddr[i];
      if (num<0) num=256+num;
      ostr << num;
      _host += ostr.str();
    }
    printf("ADDRESS====%s\n", _host.c_str());
    
    cr = tftp_request (K_MODE_READ,
		       "/home/mik/hachet/SRN/bin/CCMDeploy/test/cccccc.so", /*localFile*/
		       "/home/mik/hachet/SRN/bin/CCMDeploy/test/cc.so",  /*remoteFile*/
		       //htonl((unsigned long)hent->h_addr),
		       htonl(addr), /*unsigned long ip_server*/ 
		       htons(5000), /*unsigned short port_server*/
		       0, /* t_fct_callBack callback*/ 
		       0, /*void *args_callback*/
		       (t_access_file*)0 /*t_access_file* accessFile*/
		       );
    printf(" tftp_request=%d\n", cr);
    //start_tftp_transfer();
    run_tftp (1);
  }
}

