@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Areski Flissi.
rem # Contributor(s): 
rem #
rem # ====================================================================
rem #
rem # Tear Down the Assembly
rem # 
rem # Usage: tear_down [NS_IOR] [AssemblyName]
rem # 
rem # ====================================================================


if "%1" == "" goto set_default_ns_host
set ns_host=%1
goto set_assembly_name

:set_default_ns_host
set ns_host=@NS_IOR@

:set_assembly_name
if "%2" == "" goto set_default_assembly_name
set assembly_name=%2
goto start_tear_down

:set_default_assembly_name
set assembly_name=@ASSEMBLY_NAME@

:start_tear_down
echo TearDown tool
@JVM@ -Dior_ns=%ns_host% org.objectweb.util.launcher.Launcher --runid tear_down -N%assembly_name% @OpenCCM_DIR@\xml\launcher\tear_down.xml
echo done.